Package com.mckoi.database

## Class AbstractDataTable

- java.lang.Object
- - com.mckoi.database.Table
  - - com.mckoi.database.AbstractDataTable

All Implemented Interfaces:
  `RootTable`, `TableDataSource`

Direct Known Subclasses:
  `DataTableFilter`, `DefaultDataTable`

    public abstract class AbstractDataTable
    extends Table
    implements RootTable

This is the abstract class implemented by a DataTable like table. Both DataTable and DataTableFilter objects extend this object.

Author:
  Tobias Downer

### Field Summary

### Fields inherited from class com.mckoi.database.Table

`DEBUG_QUERY`

### Constructor Summary

Constructors
`AbstractDataTable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TableName` `getTableName()` Returns the fully resolved table name.
`java.lang.String` `toString()` Returns a string that represents this table.
`boolean` `typeEquals​(RootTable table)` This function is used to check that two tables are identical.

### Methods inherited from class com.mckoi.database.Table

`all, allColumnMatchesValue, any, columnContainsCell, columnContainsValue, columnMatchesValue, columnMerge, compareCells, Debug, distinct, distinct, dumpTo, emptySelect, exhaustiveSelect, fastFindFieldName, findFieldName, getCellContents, getColumnCount, getColumnDefAt, getColumnScheme, getDatabase, getDataTableDef, getFirstCellContent, getFirstCellContent, getLastCellContent, getLastCellContent, getResolvedVariable, getRowCount, getSingleCellContent, getSingleCellContent, getSystem, getTableAccessState, getTTypeForColumn, getTTypeForColumn, hasRootsLocked, join, lockRoot, orderByColumn, orderByColumn, orderByColumn, orderByColumns, orderedRowList, outside, printGraph, rangeSelect, rowEnumeration, selectAll, selectAll, selectFirst, selectLast, selectRange, selectRest, simpleJoin, simpleSelect, singleRowSelect, toMap, union, unlockRoot`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractDataTable

    public AbstractDataTable()

### Method Detail

#### getTableName

    public TableName getTableName()

Returns the fully resolved table name.

#### typeEquals

    public boolean typeEquals​(RootTable table)

This function is used to check that two tables are identical. We first check the table names are identical. Then check the column filter is the same.

Specified by:
  `typeEquals` in interface `RootTable`

#### toString

    public java.lang.String toString()

Returns a string that represents this table.

Overrides:
  `toString` in class `Table`